GDB (xrefs)

Public Attributes | List of all members
msp430_prologue Struct Reference

## Public Attributes
int | frame_size
int | has_frame_ptr
int | frame_ptr_offset
CORE_ADDR | prologue_end
int | reg_offset [MSP430_NUM_TOTAL_REGS]

## Detailed Description

Definition at line 124 of file msp430-tdep.c.

## Member Data Documentation

## ◆ frame_ptr_offset

int msp430_prologue::frame_ptr_offset

Definition at line 144 of file msp430-tdep.c.

## ◆ frame_size

int msp430_prologue::frame_size

Definition at line 135 of file msp430-tdep.c.

Referenced by msp430_analyze_prologue(), and msp430_frame_base().

## ◆ has_frame_ptr

int msp430_prologue::has_frame_ptr

Definition at line 139 of file msp430-tdep.c.

## ◆ prologue_end

CORE_ADDR msp430_prologue::prologue_end

Definition at line 149 of file msp430-tdep.c.

Referenced by msp430_analyze_prologue(), and msp430_skip_prologue().

## ◆ reg_offset

int msp430_prologue::reg_offset[MSP430_NUM_TOTAL_REGS]

Definition at line 154 of file msp430-tdep.c.

Referenced by check_for_saved(), msp430_analyze_prologue(), and msp430_prev_register().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/msp430-tdep.c